diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/global-router-interface.h ns-3.44/src/internet/model/global-router-interface.h
--- ns-3.43/src/internet/model/global-router-interface.h	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/global-router-interface.h	2025-03-09 16:55:49.391371000 -0700
@@ -31,7 +31,7 @@
 class Ipv4GlobalRouting;
 
 /**
- * \ingroup globalrouting
+ * @ingroup globalrouting
  *
  * @brief A single link record for a link state advertisement.
  *
@@ -564,11 +564,11 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the reference to the output stream
- * \param lsa the LSA
- * \returns the reference to the output stream
+ * @param os the reference to the output stream
+ * @param lsa the LSA
+ * @returns the reference to the output stream
  */
 std::ostream& operator<<(std::ostream& os, GlobalRoutingLSA& lsa);
 
@@ -585,8 +585,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -600,14 +600,14 @@
     GlobalRouter& operator=(const GlobalRouter&) = delete;
 
     /**
-     * \brief Set the specific Global Routing Protocol to be used
-     * \param routing the routing protocol
+     * @brief Set the specific Global Routing Protocol to be used
+     * @param routing the routing protocol
      */
     void SetRoutingProtocol(Ptr<Ipv4GlobalRouting> routing);
 
     /**
-     * \brief Get the specific Global Routing Protocol used
-     * \returns the routing protocol
+     * @brief Get the specific Global Routing Protocol used
+     * @returns the routing protocol
      */
     Ptr<Ipv4GlobalRouting> GetRoutingProtocol();
 
@@ -730,95 +730,95 @@
     ~GlobalRouter() override;
 
     /**
-     * \brief Clear list of LSAs
+     * @brief Clear list of LSAs
      */
     void ClearLSAs();
 
     /**
-     * \brief Link through the given channel and find the net device that's on the other end.
+     * @brief Link through the given channel and find the net device that's on the other end.
      *
      * This only makes sense with a point-to-point channel.
      *
-     * \param nd outgoing NetDevice
-     * \param ch channel
-     * \returns the NetDevice on the other end
+     * @param nd outgoing NetDevice
+     * @param ch channel
+     * @returns the NetDevice on the other end
      */
     Ptr<NetDevice> GetAdjacent(Ptr<NetDevice> nd, Ptr<Channel> ch) const;
 
     /**
-     * \brief Finds a designated router
+     * @brief Finds a designated router
      *
      * Given a local net device, we need to walk the channel to which the net device is
      * attached and look for nodes with GlobalRouter interfaces on them (one of them
      * will be us).  Of these, the router with the lowest IP address on the net device
      * connecting to the channel becomes the designated router for the link.
      *
-     * \param ndLocal local NetDevice to scan
-     * \returns the IP address of the designated router
+     * @param ndLocal local NetDevice to scan
+     * @returns the IP address of the designated router
      */
     Ipv4Address FindDesignatedRouterForLink(Ptr<NetDevice> ndLocal) const;
 
     /**
-     * \brief Checks for the presence of another router on the NetDevice
+     * @brief Checks for the presence of another router on the NetDevice
      *
      * Given a node and an attached net device, take a look off in the channel to
      * which the net device is attached and look for a node on the other side
      * that has a GlobalRouter interface aggregated.
      *
-     * \param nd NetDevice to scan
-     * \returns true if a router is found
+     * @param nd NetDevice to scan
+     * @returns true if a router is found
      */
     bool AnotherRouterOnLink(Ptr<NetDevice> nd) const;
 
     /**
-     * \brief Process a generic broadcast link
+     * @brief Process a generic broadcast link
      *
-     * \param nd the NetDevice
-     * \param pLSA the Global LSA
-     * \param c the returned NetDevice container
+     * @param nd the NetDevice
+     * @param pLSA the Global LSA
+     * @param c the returned NetDevice container
      */
     void ProcessBroadcastLink(Ptr<NetDevice> nd, GlobalRoutingLSA* pLSA, NetDeviceContainer& c);
 
     /**
-     * \brief Process a single broadcast link
+     * @brief Process a single broadcast link
      *
-     * \param nd the NetDevice
-     * \param pLSA the Global LSA
-     * \param c the returned NetDevice container
+     * @param nd the NetDevice
+     * @param pLSA the Global LSA
+     * @param c the returned NetDevice container
      */
     void ProcessSingleBroadcastLink(Ptr<NetDevice> nd,
                                     GlobalRoutingLSA* pLSA,
                                     NetDeviceContainer& c);
 
     /**
-     * \brief Process a bridged broadcast link
+     * @brief Process a bridged broadcast link
      *
-     * \param nd the NetDevice
-     * \param pLSA the Global LSA
-     * \param c the returned NetDevice container
+     * @param nd the NetDevice
+     * @param pLSA the Global LSA
+     * @param c the returned NetDevice container
      */
     void ProcessBridgedBroadcastLink(Ptr<NetDevice> nd,
                                      GlobalRoutingLSA* pLSA,
                                      NetDeviceContainer& c);
 
     /**
-     * \brief Process a point to point link
+     * @brief Process a point to point link
      *
-     * \param ndLocal the NetDevice
-     * \param pLSA the Global LSA
+     * @param ndLocal the NetDevice
+     * @param pLSA the Global LSA
      */
     void ProcessPointToPointLink(Ptr<NetDevice> ndLocal, GlobalRoutingLSA* pLSA);
 
     /**
-     * \brief Build one NetworkLSA for each net device talking to a network that we are the
+     * @brief Build one NetworkLSA for each net device talking to a network that we are the
      * designated router for.
      *
-     * \param c the devices.
+     * @param c the devices.
      */
     void BuildNetworkLSAs(NetDeviceContainer c);
 
     /**
-     * \brief Return a container of all non-bridged NetDevices on a link
+     * @brief Return a container of all non-bridged NetDevices on a link
      *
      * This method will recursively find all of the 'edge' devices in an
      * L2 broadcast domain.  If there are no bridged devices, then the
@@ -828,16 +828,16 @@
      * bridges), the method will find all of the non-bridged devices
      * in the L2 broadcast domain.
      *
-     * \param ch a channel from the link
-     * \returns the NetDeviceContainer.
+     * @param ch a channel from the link
+     * @returns the NetDeviceContainer.
      */
     NetDeviceContainer FindAllNonBridgedDevicesOnLink(Ptr<Channel> ch) const;
 
     /**
-     * \brief Decide whether or not a given net device is being bridged by a BridgeNetDevice.
+     * @brief Decide whether or not a given net device is being bridged by a BridgeNetDevice.
      *
-     * \param nd the NetDevice
-     * \returns the BridgeNetDevice smart pointer or null if not found
+     * @param nd the NetDevice
+     * @returns the BridgeNetDevice smart pointer or null if not found
      */
     Ptr<BridgeNetDevice> NetDeviceIsBridged(Ptr<NetDevice> nd) const;
 
@@ -869,15 +869,15 @@
      * When recursively checking for devices on the link, check whether a
      * given device has already been visited.
      *
-     * \param device the bridge device to check
-     * \return true if bridge has already been visited
+     * @param device the bridge device to check
+     * @return true if bridge has already been visited
      */
     bool BridgeHasAlreadyBeenVisited(Ptr<BridgeNetDevice> device) const;
     /**
      * When recursively checking for devices on the link, mark a given device
      * as having been visited.
      *
-     * \param device the bridge device to mark
+     * @param device the bridge device to mark
      */
     void MarkBridgeAsVisited(Ptr<BridgeNetDevice> device) const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/global-routing.h ns-3.44/src/internet/model/global-routing.h
--- ns-3.43/src/internet/model/global-routing.h	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/global-routing.h	2025-03-09 16:55:49.391371000 -0700
@@ -6,13 +6,13 @@
  */
 
 /**
- * \ingroup ipv4Routing
- * \defgroup globalrouting Global Routing.
+ * @ingroup ipv4Routing
+ * @defgroup globalrouting Global Routing.
  *
  * Performs pre-simulation static route computation
  * on a layer-3 IPv4 topology.
  *
- * \section model Model
+ * @section model Model
  *
  * ns-3 global routing performs pre-simulation static route computation
  * on a layer-3 IPv4 topology.  The user API from the script level is
@@ -36,7 +36,7 @@
  *   There is a helper method that encapsulates this
  *   (Ipv4GlobalRoutingHelper::RecomputeRoutingTables())
  *
- * \section api API and Usage
+ * @section api API and Usage
  *
  * Users must include ns3/global-route-manager.h header file.  After the
  * IPv4 topology has been built and addresses assigned, users call
@@ -47,7 +47,7 @@
  * - Ipv4GlobalRouting::RandomEcmpRouting
  * - Ipv4GlobalRouting::RespondToInterfaceEvents
  *
- * \section impl Implementation
+ * @section impl Implementation
  *
  * A singleton object, ns3::GlobalRouteManager, builds a global routing
  * database of information about the topology, and executes a Dijkstra
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/icmpv4.h ns-3.44/src/internet/model/icmpv4.h
--- ns-3.43/src/internet/model/icmpv4.h	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/icmpv4.h	2025-03-09 16:55:49.391371000 -0700
@@ -22,9 +22,9 @@
 class Packet;
 
 /**
- * \ingroup icmp
+ * @ingroup icmp
  *
- * \brief Base class for all the ICMP packet headers.
+ * @brief Base class for all the ICMP packet headers.
  *
  * This header is the common part in all the ICMP packets.
  */
@@ -49,30 +49,30 @@
 
     /**
      * Set ICMP type
-     * \param type the ICMP type
+     * @param type the ICMP type
      */
     void SetType(uint8_t type);
 
     /**
      * Set ICMP code
-     * \param code the ICMP code
+     * @param code the ICMP code
      */
     void SetCode(uint8_t code);
 
     /**
      * Get ICMP type
-     * \returns the ICMP type
+     * @returns the ICMP type
      */
     uint8_t GetType() const;
     /**
      * Get ICMP code
-     * \returns the ICMP code
+     * @returns the ICMP code
      */
     uint8_t GetCode() const;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     Icmpv4Header();
@@ -91,53 +91,53 @@
 };
 
 /**
- * \ingroup icmp
+ * @ingroup icmp
  *
- * \brief ICMP Echo header
+ * @brief ICMP Echo header
  */
 class Icmpv4Echo : public Header
 {
   public:
     /**
-     * \brief Set the Echo identifier
-     * \param id the identifier
+     * @brief Set the Echo identifier
+     * @param id the identifier
      */
     void SetIdentifier(uint16_t id);
     /**
-     * \brief Set the Echo sequence number
-     * \param seq the sequence number
+     * @brief Set the Echo sequence number
+     * @param seq the sequence number
      */
     void SetSequenceNumber(uint16_t seq);
     /**
-     * \brief Set the Echo data
-     * \param data the data
+     * @brief Set the Echo data
+     * @param data the data
      */
     void SetData(Ptr<const Packet> data);
     /**
-     * \brief Get the Echo identifier
-     * \returns the identifier
+     * @brief Get the Echo identifier
+     * @returns the identifier
      */
     uint16_t GetIdentifier() const;
     /**
-     * \brief Get the Echo sequence number
-     * \returns the sequence number
+     * @brief Get the Echo sequence number
+     * @returns the sequence number
      */
     uint16_t GetSequenceNumber() const;
     /**
-     * \brief Get the Echo data size
-     * \returns the data size
+     * @brief Get the Echo data size
+     * @returns the data size
      */
     uint32_t GetDataSize() const;
     /**
-     * \brief Get the Echo data
-     * \param payload the data (filled)
-     * \returns the data length
+     * @brief Get the Echo data
+     * @param payload the data (filled)
+     * @returns the data length
      */
     uint32_t GetData(uint8_t payload[]) const;
 
     /**
      * Get ICMP type
-     * \returns the ICMP type
+     * @returns the ICMP type
      */
     static TypeId GetTypeId();
     Icmpv4Echo();
@@ -156,9 +156,9 @@
 };
 
 /**
- * \ingroup icmp
+ * @ingroup icmp
  *
- * \brief ICMP Destination Unreachable header
+ * @brief ICMP Destination Unreachable header
  */
 class Icmpv4DestinationUnreachable : public Header
 {
@@ -178,42 +178,42 @@
 
     /**
      * Get ICMP type
-     * \returns the ICMP type
+     * @returns the ICMP type
      */
     static TypeId GetTypeId();
     Icmpv4DestinationUnreachable();
     ~Icmpv4DestinationUnreachable() override;
 
     /**
-     * \brief Set the next hop MTU
-     * \param mtu the MTU
+     * @brief Set the next hop MTU
+     * @param mtu the MTU
      */
     void SetNextHopMtu(uint16_t mtu);
     /**
-     * \brief Get the next hop MTU
-     * \returns the MTU
+     * @brief Get the next hop MTU
+     * @returns the MTU
      */
     uint16_t GetNextHopMtu() const;
 
     /**
-     * \brief Set the ICMP carried data
-     * \param data the data
+     * @brief Set the ICMP carried data
+     * @param data the data
      */
     void SetData(Ptr<const Packet> data);
     /**
-     * \brief Set the ICMP carried IPv4 header
-     * \param header the header
+     * @brief Set the ICMP carried IPv4 header
+     * @param header the header
      */
     void SetHeader(Ipv4Header header);
 
     /**
-     * \brief Get the ICMP carried data
-     * \param payload the data (filled)
+     * @brief Get the ICMP carried data
+     * @param payload the data (filled)
      */
     void GetData(uint8_t payload[8]) const;
     /**
-     * \brief Get the ICMP carried IPv4 header
-     * \returns the header
+     * @brief Get the ICMP carried IPv4 header
+     * @returns the header
      */
     Ipv4Header GetHeader() const;
 
@@ -231,15 +231,15 @@
 };
 
 /**
- * \ingroup icmp
+ * @ingroup icmp
  *
- * \brief ICMP Time Exceeded header
+ * @brief ICMP Time Exceeded header
  */
 class Icmpv4TimeExceeded : public Header
 {
   public:
     /**
-     * \brief ICMP error code : Time Exceeded
+     * @brief ICMP error code : Time Exceeded
      */
     enum ErrorTimeExceeded_e
     {
@@ -248,30 +248,30 @@
     };
 
     /**
-     * \brief Get the ICMP carried data
-     * \param data the data
+     * @brief Get the ICMP carried data
+     * @param data the data
      */
     void SetData(Ptr<const Packet> data);
     /**
-     * \brief Set the ICMP carried IPv4 header
-     * \param header the header
+     * @brief Set the ICMP carried IPv4 header
+     * @param header the header
      */
     void SetHeader(Ipv4Header header);
 
     /**
-     * \brief Get the ICMP carried data
-     * \param payload the data (filled)
+     * @brief Get the ICMP carried data
+     * @param payload the data (filled)
      */
     void GetData(uint8_t payload[8]) const;
     /**
-     * \brief Get the ICMP carried IPv4 header
-     * \returns the header
+     * @brief Get the ICMP carried IPv4 header
+     * @returns the header
      */
     Ipv4Header GetHeader() const;
 
     /**
      * Get ICMP type
-     * \returns the ICMP type
+     * @returns the ICMP type
      */
     static TypeId GetTypeId();
     Icmpv4TimeExceeded();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/icmpv4-l4-protocol.cc ns-3.44/src/internet/model/icmpv4-l4-protocol.cc
--- ns-3.43/src/internet/model/icmpv4-l4-protocol.cc	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/icmpv4-l4-protocol.cc	2025-03-09 16:55:49.391371000 -0700
@@ -28,9 +28,6 @@
 
 NS_OBJECT_ENSURE_REGISTERED(Icmpv4L4Protocol);
 
-// see rfc 792
-const uint8_t Icmpv4L4Protocol::PROT_NUMBER = 1;
-
 TypeId
 Icmpv4L4Protocol::GetTypeId()
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/icmpv4-l4-protocol.h ns-3.44/src/internet/model/icmpv4-l4-protocol.h
--- ns-3.43/src/internet/model/icmpv4-l4-protocol.h	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/icmpv4-l4-protocol.h	2025-03-09 16:55:49.391371000 -0700
@@ -22,91 +22,92 @@
 class Ipv4Route;
 
 /**
- * \ingroup ipv4
- * \defgroup icmp ICMP protocol and associated headers.
+ * @ingroup ipv4
+ * @defgroup icmp ICMP protocol and associated headers.
  */
 
 /**
- * \ingroup icmp
+ * @ingroup icmp
  *
- * \brief This is the implementation of the ICMP protocol as
+ * @brief This is the implementation of the ICMP protocol as
  * described in \RFC{792}.
  */
 class Icmpv4L4Protocol : public IpL4Protocol
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
-    static const uint8_t PROT_NUMBER; //!< ICMP protocol number (0x1)
+
+    static constexpr uint8_t PROT_NUMBER = 1; //!< ICMP protocol number (see \RFC{792})
 
     Icmpv4L4Protocol();
     ~Icmpv4L4Protocol() override;
 
     /**
-     * \brief Set the node the protocol is associated with.
-     * \param node the node
+     * @brief Set the node the protocol is associated with.
+     * @param node the node
      */
     void SetNode(Ptr<Node> node);
 
     /**
      * Get the protocol number
-     * \returns the protocol number
+     * @returns the protocol number
      */
     static uint16_t GetStaticProtocolNumber();
 
     /**
      * Get the protocol number
-     * \returns the protocol number
+     * @returns the protocol number
      */
     int GetProtocolNumber() const override;
 
     /**
-     * \brief Receive method.
-     * \param p the packet
-     * \param header the IPv4 header
-     * \param incomingInterface the interface from which the packet is coming
-     * \returns the receive status
+     * @brief Receive method.
+     * @param p the packet
+     * @param header the IPv4 header
+     * @param incomingInterface the interface from which the packet is coming
+     * @returns the receive status
      */
     IpL4Protocol::RxStatus Receive(Ptr<Packet> p,
                                    const Ipv4Header& header,
                                    Ptr<Ipv4Interface> incomingInterface) override;
 
     /**
-     * \brief Receive method.
-     * \param p the packet
-     * \param header the IPv6 header
-     * \param incomingInterface the interface from which the packet is coming
-     * \returns the receive status
+     * @brief Receive method.
+     * @param p the packet
+     * @param header the IPv6 header
+     * @param incomingInterface the interface from which the packet is coming
+     * @returns the receive status
      */
     IpL4Protocol::RxStatus Receive(Ptr<Packet> p,
                                    const Ipv6Header& header,
                                    Ptr<Ipv6Interface> incomingInterface) override;
 
     /**
-     * \brief Send a Destination Unreachable - Fragmentation needed ICMP error
-     * \param header the original IP header
-     * \param orgData the original packet
-     * \param nextHopMtu the next hop MTU
+     * @brief Send a Destination Unreachable - Fragmentation needed ICMP error
+     * @param header the original IP header
+     * @param orgData the original packet
+     * @param nextHopMtu the next hop MTU
      */
     void SendDestUnreachFragNeeded(Ipv4Header header,
                                    Ptr<const Packet> orgData,
                                    uint16_t nextHopMtu);
 
     /**
-     * \brief Send a Time Exceeded ICMP error
-     * \param header the original IP header
-     * \param orgData the original packet
-     * \param isFragment true if the opcode must be FRAGMENT_REASSEMBLY
+     * @brief Send a Time Exceeded ICMP error
+     * @param header the original IP header
+     * @param orgData the original packet
+     * @param isFragment true if the opcode must be FRAGMENT_REASSEMBLY
      */
     void SendTimeExceededTtl(Ipv4Header header, Ptr<const Packet> orgData, bool isFragment);
 
     /**
-     * \brief Send a Time Exceeded ICMP error
-     * \param header the original IP header
-     * \param orgData the original packet
+     * @brief Send a Time Exceeded ICMP error
+     * @param header the original IP header
+     * @param orgData the original packet
      */
     void SendDestUnreachPort(Ipv4Header header, Ptr<const Packet> orgData);
 
@@ -127,12 +128,12 @@
 
   private:
     /**
-     * \brief Handles an incoming ICMP Echo packet
-     * \param p the packet
-     * \param header the IP header
-     * \param source the source address
-     * \param destination the destination address
-     * \param tos the type of service
+     * @brief Handles an incoming ICMP Echo packet
+     * @param p the packet
+     * @param header the IP header
+     * @param source the source address
+     * @param destination the destination address
+     * @param tos the type of service
      */
     void HandleEcho(Ptr<Packet> p,
                     Icmpv4Header header,
@@ -140,57 +141,57 @@
                     Ipv4Address destination,
                     uint8_t tos);
     /**
-     * \brief Handles an incoming ICMP Destination Unreachable packet
-     * \param p the packet
-     * \param header the IP header
-     * \param source the source address
-     * \param destination the destination address
+     * @brief Handles an incoming ICMP Destination Unreachable packet
+     * @param p the packet
+     * @param header the IP header
+     * @param source the source address
+     * @param destination the destination address
      */
     void HandleDestUnreach(Ptr<Packet> p,
                            Icmpv4Header header,
                            Ipv4Address source,
                            Ipv4Address destination);
     /**
-     * \brief Handles an incoming ICMP Time Exceeded packet
-     * \param p the packet
-     * \param icmp the ICMP header
-     * \param source the source address
-     * \param destination the destination address
+     * @brief Handles an incoming ICMP Time Exceeded packet
+     * @param p the packet
+     * @param icmp the ICMP header
+     * @param source the source address
+     * @param destination the destination address
      */
     void HandleTimeExceeded(Ptr<Packet> p,
                             Icmpv4Header icmp,
                             Ipv4Address source,
                             Ipv4Address destination);
     /**
-     * \brief Send an ICMP Destination Unreachable packet
+     * @brief Send an ICMP Destination Unreachable packet
      *
-     * \param header the original IP header
-     * \param orgData the original packet
-     * \param code the ICMP code
-     * \param nextHopMtu the next hop MTU
+     * @param header the original IP header
+     * @param orgData the original packet
+     * @param code the ICMP code
+     * @param nextHopMtu the next hop MTU
      */
     void SendDestUnreach(Ipv4Header header,
                          Ptr<const Packet> orgData,
                          uint8_t code,
                          uint16_t nextHopMtu);
     /**
-     * \brief Send a generic ICMP packet
+     * @brief Send a generic ICMP packet
      *
-     * \param packet the packet
-     * \param dest the destination
-     * \param type the ICMP type
-     * \param code the ICMP code
+     * @param packet the packet
+     * @param dest the destination
+     * @param type the ICMP type
+     * @param code the ICMP code
      */
     void SendMessage(Ptr<Packet> packet, Ipv4Address dest, uint8_t type, uint8_t code);
     /**
-     * \brief Send a generic ICMP packet
+     * @brief Send a generic ICMP packet
      *
-     * \param packet the packet
-     * \param source the source
-     * \param dest the destination
-     * \param type the ICMP type
-     * \param code the ICMP code
-     * \param route the route to be used
+     * @param packet the packet
+     * @param source the source
+     * @param dest the destination
+     * @param type the ICMP type
+     * @param code the ICMP code
+     * @param route the route to be used
      */
     void SendMessage(Ptr<Packet> packet,
                      Ipv4Address source,
@@ -199,13 +200,13 @@
                      uint8_t code,
                      Ptr<Ipv4Route> route);
     /**
-     * \brief Forward the message to an L4 protocol
+     * @brief Forward the message to an L4 protocol
      *
-     * \param source the source
-     * \param icmp the ICMP header
-     * \param info info data (e.g., the target MTU)
-     * \param ipHeader the IP header carried by ICMP
-     * \param payload payload chunk carried by ICMP
+     * @param source the source
+     * @param icmp the ICMP header
+     * @param info info data (e.g., the target MTU)
+     * @param ipHeader the IP header carried by ICMP
+     * @param payload payload chunk carried by ICMP
      */
     void Forward(Ipv4Address source,
                  Icmpv4Header icmp,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/icmpv6-header.cc ns-3.44/src/internet/model/icmpv6-header.cc
--- ns-3.43/src/internet/model/icmpv6-header.cc	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/icmpv6-header.cc	2025-03-09 16:55:49.391371000 -0700
@@ -1566,7 +1566,7 @@
 Icmpv6OptionHeader::Icmpv6OptionHeader()
 {
     NS_LOG_FUNCTION(this);
-    /** \todo */
+    /** @todo */
     m_type = 0;
     m_len = 0;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/icmpv6-header.h ns-3.44/src/internet/model/icmpv6-header.h
--- ns-3.43/src/internet/model/icmpv6-header.h	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/icmpv6-header.h	2025-03-09 16:55:49.391371000 -0700
@@ -19,15 +19,15 @@
 {
 
 /**
- * \ingroup icmpv6
+ * @ingroup icmpv6
  *
- * \brief ICMPv6 header.
+ * @brief ICMPv6 header.
  */
 class Icmpv6Header : public Header
 {
   public:
     /**
-     * \brief ICMPv6 type code.
+     * @brief ICMPv6 type code.
      */
     enum Type_e
     {
@@ -60,7 +60,7 @@
     };
 
     /**
-     * \brief ICMPv6 Option type code.
+     * @brief ICMPv6 Option type code.
      */
     enum OptionType_e
     {
@@ -72,7 +72,7 @@
     };
 
     /**
-     * \brief ICMPv6 error code : Destination Unreachable
+     * @brief ICMPv6 error code : Destination Unreachable
      */
     enum ErrorDestinationUnreachable_e
     {
@@ -84,7 +84,7 @@
     };
 
     /**
-     * \brief ICMPv6 error code : Time Exceeded
+     * @brief ICMPv6 error code : Time Exceeded
      */
     enum ErrorTimeExceeded_e
     {
@@ -93,7 +93,7 @@
     };
 
     /**
-     * \brief ICMPv6 error code : Parameter Error
+     * @brief ICMPv6 error code : Parameter Error
      */
     enum ErrorParameterError_e
     {
@@ -103,94 +103,94 @@
     };
 
     /**
-     * \brief Get the UID of this class.
-     * \return UID
+     * @brief Get the UID of this class.
+     * @return UID
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Get the instance type ID.
-     * \return instance type ID
+     * @brief Get the instance type ID.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
 
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Icmpv6Header();
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~Icmpv6Header() override;
 
     /**
-     * \brief Get the type field.
-     * \return type of ICMPv6 message
+     * @brief Get the type field.
+     * @return type of ICMPv6 message
      */
     uint8_t GetType() const;
 
     /**
-     * \brief Set the type.
-     * \param type type to set
+     * @brief Set the type.
+     * @param type type to set
      */
     void SetType(uint8_t type);
 
     /**
-     * \brief Get the code field.
-     * \return code of ICMPv6 message
+     * @brief Get the code field.
+     * @return code of ICMPv6 message
      */
     uint8_t GetCode() const;
 
     /**
-     * \brief Set the code field.
-     * \param code code to set
+     * @brief Set the code field.
+     * @param code code to set
      */
     void SetCode(uint8_t code);
 
     /**
-     * \brief Get the checksum.
-     * \return checksum
+     * @brief Get the checksum.
+     * @return checksum
      */
     uint16_t GetChecksum() const;
 
     /**
-     * \brief Set the checksum.
-     * \param checksum to set
+     * @brief Set the checksum.
+     * @param checksum to set
      */
     void SetChecksum(uint16_t checksum);
 
     /**
-     * \brief Print information.
-     * \param os output stream
+     * @brief Print information.
+     * @param os output stream
      */
     void Print(std::ostream& os) const override;
 
     /**
-     * \brief Get the serialized size.
-     * \return serialized size
+     * @brief Get the serialized size.
+     * @return serialized size
      */
     uint32_t GetSerializedSize() const override;
 
     /**
-     * \brief Serialize the packet.
-     * \param start start offset
+     * @brief Serialize the packet.
+     * @param start start offset
      */
     void Serialize(Buffer::Iterator start) const override;
 
     /**
-     * \brief Deserialize the packet.
-     * \param start start offset
-     * \return length of packet
+     * @brief Deserialize the packet.
+     * @param start start offset
+     * @return length of packet
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
 
     /**
-     * \brief Calculate pseudo header checksum for IPv6.
-     * \param src source address
-     * \param dst destination address
-     * \param length length
-     * \param protocol the protocol number to use in the
+     * @brief Calculate pseudo header checksum for IPv6.
+     * @param src source address
+     * @param dst destination address
+     * @param length length
+     * @param protocol the protocol number to use in the
      * underlying IPv6 packet.
      */
     void CalculatePseudoHeaderChecksum(Ipv6Address src,
